Mobile Locker

Update the app

Before you update

You need iOS 9 or later to use Mobile Locker.

If your iPad has an older version of iOS, you need to update to iOS 10 first.

How to update Mobile Locker

Open Safari on your iPad/iPhone and go to http://appstore.com/mobilelocker

Here's what you'll see in the App Store.

Here's what you'll see in the App Store.

Tap the UPDATE button.

Once the update is done, close the App Store and open Mobile Locker. This is what the new icon looks like:

We updated the icon for Mobile Locker 3.0.

We updated the icon for Mobile Locker 3.0.

There will be more frequent updates

In the future, we'll be releasing frequent updates to Mobile Locker. If you see this alert at the top of the main screen, you'll know a new version is available in the App Store.

You'll see this alert message when we release a new version of Mobile Locker (If you have v3.0 or later)

You'll see this alert message when we release a new version of Mobile Locker (If you have v3.0 or later)